Get all calculation cards
get
/hcmRestApi/resources/11.13.18.05/calculationEntries
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds all the calculation cards that match the specified primary key criteria.
Finder Variables- DirCardId; integer; Unique identifier of the calculation card.
- findByEffectiveDatedFinder Finds all the calculation entries based on the EffectiveDated indicator.
Finder Variables- pEffectiveDate; string;
- pEffectiveDatedFlag; string;
- PrimaryKey Finds all the calculation cards that match the specified primary key criteria.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssociableTru; string; Name of the tax reporting unit assigned to the calculation card.
- BaseDisplayName; string; Base display name of the calculation card.
- CardDefLegislationCode; string; Unique code for the legislation.
- CardNavigationFlow; string; Metadata of the navigation as needed for a specific calculation card.
- CardRedwoodFlow; string; Metadata of the navigation as needed for a specific calculation card.
- CreatedBy; string; Name of the tax reporting unit assigned to the calculation card.
- CreationDate; string; Name of the tax reporting unit assigned to the calculation card.
- DefaultCurrencyCode; string; Unique identifier for the legislative data group ID.
- Description; string; Description of the calculation card.
- DirCardDefinitionId; integer; Unique identifier of the calculation card definition.
- DirCardId; integer; Unique identifier of the calculation card.
- DisplayName; string; Display name of the calculation card.
- EffectiveEndDate; string; Effective end date of the calculation card.
- EffectiveStartDate; string; Effective start date of the calculation card.
- LastUpdateDate; string; Name of the tax reporting unit assigned to the calculation card.
- LastUpdatedBy; string; Name of the tax reporting unit assigned to the calculation card.
- LegislationCode; string; Unique code for the legislation.
- LegislativeDataGroupId; integer; Unique identifier for the legislative data group ID.
- NavigationUse; string; Name of the tax reporting unit assigned to the calculation card.
- PayrollRelationshipId; integer; Unique identifier used to retrieve the payroll relationship.
- PayrollStatUnitId; integer; Name of the tax reporting unit assigned to the calculation card.
- PersonId; integer; Unique identifier of the person.
- ReportingCardFlag; boolean; Name of the tax reporting unit assigned to the calculation card.
- SourceId; integer; Name of the tax reporting unit assigned to the calculation card.
- SourceType; string; Name of the tax reporting unit assigned to the calculation card.
- TaxReportingUnit; string; Name of the tax reporting unit assigned to the calculation card.
- UserExtensibleFlag; boolean; Name of the tax reporting unit assigned to the calculation card.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : calculationEntries
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-item-response
Type:
Show Source
object-
AssociableTru: string
Read Only:
trueMaximum Length:1Name of the tax reporting unit assigned to the calculation card. -
BaseDisplayName: string
Read Only:
trueMaximum Length:80Base display name of the calculation card. -
CalculationCardComponent: array
Calculation Card Components
Title:
Calculation Card ComponentsUnique identifier for the payroll -
CardDefLegislationCode: string
Read Only:
trueMaximum Length:30Unique code for the legislation. - CardNavigationFlow: string
-
CardRedwoodFlow: string
Maximum Length:
255Metadata of the navigation as needed for a specific calculation card. -
CIRComponent: array
Calculation Card Component
Title:
Calculation Card ComponentThe CIR Component resource returns a list of components associated with a calculation card. -
CreatedBy: string
Read Only:
trueMaximum Length:100Name of the tax reporting unit assigned to the calculation card. -
CreationDate: string
(date-time)
Read Only:
trueName of the tax reporting unit assigned to the calculation card. -
DefaultCurrencyCode: string
Maximum Length:
20Unique identifier for the legislative data group ID. -
Description: string
Read Only:
trueMaximum Length:240Description of the calculation card. -
DirCardDefinitionId: integer
(int64)
Read Only:
trueUnique identifier of the calculation card definition. -
DirCardId: integer
Read Only:
trueUnique identifier of the calculation card. -
DisplayName: string
Read Only:
trueMaximum Length:80Display name of the calculation card. -
EffectiveEndDate: string
(date)
Read Only:
trueEffective end date of the calculation card. -
EffectiveStartDate: string
(date)
Read Only:
trueEffective start date of the calculation card. -
LastUpdateDate: string
(date-time)
Read Only:
trueName of the tax reporting unit assigned to the calculation card. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:100Name of the tax reporting unit assigned to the calculation card. -
LegislationCode: string
Read Only:
trueMaximum Length:30Unique code for the legislation. -
LegislativeDataGroupId: integer
(int64)
Unique identifier for the legislative data group ID.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. - NavigationUse: string
-
PayrollRelationshipId: integer
(int64)
Read Only:
trueUnique identifier used to retrieve the payroll relationship. -
PayrollStatUnitId: integer
Read Only:
trueName of the tax reporting unit assigned to the calculation card. -
PersonId: integer
(int64)
Read Only:
trueUnique identifier of the person. -
ReportingCardFlag: boolean
Read Only:
trueMaximum Length:1Name of the tax reporting unit assigned to the calculation card. -
SourceId: integer
Read Only:
trueName of the tax reporting unit assigned to the calculation card. -
SourceType: string
Read Only:
trueMaximum Length:30Name of the tax reporting unit assigned to the calculation card. -
TaxReportingUnit: string
Read Only:
trueMaximum Length:18Name of the tax reporting unit assigned to the calculation card. -
UserExtensibleFlag: boolean
Read Only:
trueMaximum Length:1Name of the tax reporting unit assigned to the calculation card.
Nested Schema : Calculation Card Components
Type:
arrayTitle:
Calculation Card ComponentsUnique identifier for the payroll
Show Source
Nested Schema : Calculation Card Component
Type:
arrayTitle:
Calculation Card ComponentThe CIR Component resource returns a list of components associated with a calculation card.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-CalculationCardComponent-item-response
Type:
Show Source
object-
ActiveInactiveFlag: boolean
Read Only:
trueUnique identifier for the payroll -
AssociableTerm: string
Read Only:
trueMaximum Length:30Unique identifier for the payroll -
AssociableTru: string
Read Only:
trueMaximum Length:30Unique identifier for the payroll -
Attachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
BaseComponentName: string
Read Only:
trueMaximum Length:80Unique identifier for the payroll -
CompEndDate: string
(date)
Read Only:
trueUnique identifier for the payroll -
CompLastUpdateDate: string
(date-time)
Read Only:
trueUnique identifier for the payroll -
CompLastUpdatedBy: string
Read Only:
trueMaximum Length:64Unique identifier for the payroll -
ComponentName: string
Read Only:
trueMaximum Length:80Unique identifier for the payroll -
ComponentSequence: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
CompStartDate: string
(date)
Read Only:
trueUnique identifier for the payroll -
ContextValue1: string
Read Only:
trueMaximum Length:150Unique identifier for the payroll -
ContextValue2: string
Read Only:
trueMaximum Length:150Unique identifier for the payroll -
ContextValue3: string
Read Only:
trueMaximum Length:150Unique identifier for the payroll -
ContextValue4: string
Read Only:
trueMaximum Length:150Unique identifier for the payroll -
ContextValue5: string
Read Only:
trueMaximum Length:150Unique identifier for the payroll -
ContextValue6: string
Read Only:
trueMaximum Length:150Unique identifier for the payroll -
DeductionGroupBaseName: string
Read Only:
trueMaximum Length:240Unique identifier for the payroll -
DeductionGroupId: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
DeductionGroupName: string
Read Only:
trueMaximum Length:240Unique identifier for the payroll -
DirCardCompDefId: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
DirCardCompId: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
DirCardDefinitionId: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
DirCardId: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
ElementTypeId: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
EndDate: string
(date)
Read Only:
trueUnique identifier for the payroll -
GroupComponentCount: integer
Read Only:
trueUnique identifier for the payroll -
GroupDirCardCompDefId: integer
Read Only:
trueUnique identifier for the payroll -
GroupFlag: boolean
Read Only:
trueMaximum Length:1Unique identifier for the payroll -
GroupIdentifier: string
Read Only:
trueMaximum Length:915Unique identifier for the payroll -
GroupName: string
Read Only:
trueMaximum Length:10Unique identifier for the payroll -
GroupSequence: string
Read Only:
trueMaximum Length:14Unique identifier for the payroll -
KeepOpen: string
Read Only:
trueMaximum Length:30Unique identifier for the payroll -
LegCode: string
Read Only:
trueMaximum Length:30Unique identifier for the payroll -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MultipleAllowed: string
Read Only:
trueMaximum Length:30Unique identifier for the payroll -
ObjectVersionNumber: integer
Read Only:
trueUnique identifier for the payroll -
ParentDirCardCompId: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
Required: string
Read Only:
trueMaximum Length:30Unique identifier for the payroll -
StartDate: string
(date)
Read Only:
trueUnique identifier for the payroll -
Subpriority: integer
(int64)
Read Only:
trueUnique identifier for the payroll -
SysEffectiveDate: string
(date)
Read Only:
trueUnique identifier for the payroll
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-CalculationCardComponent-Attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : calculationEntries-CIRComponent-item-response
Type:
Show Source
object-
ActiveFlag: boolean
Maximum Length:
60Indicates whether the calculation card component is active. -
AssignmentId: integer
Assignment ID of the employee.
-
AssignmentNumber: string
Assignment number of the employee.
-
AssociableTru: string
Maximum Length:
30Associated tax reporting units. -
AttachmentEntityName: string
Maximum Length:
40Entity name of the attachment. -
BaseClassificationName: string
Maximum Length:
160Base classification name. -
BaseComponentName: string
Maximum Length:
80Base component name of the calculation card component. -
BaseComponentNameFilter: string
Regular expression used to filter components by base component name for the specified calculation card definition ID.
-
BaseDeductionGroupName: string
Maximum Length:
240Base deduction group name of the calculation card component. -
BIPFormLinks: string
BIP form links of the calculation card component.
-
CardEffectiveEndDate: string
(date)
Effective end date of the calculation card for component.
-
CardEffectiveStartDate: string
(date)
Effective start date of the calculation card for component.
-
CardLevel: string
Maximum Length:
30Card level of the calculation card. -
CardSequence: integer
(int64)
Card sequence of the calculation card.
-
CIRComponentAssociation: array
Calculation Card Component Associations
Title:
Calculation Card Component AssociationsThe CIRComponentAssociation resource returns list of associations associated with a calculation card. -
CIRComponentAttachments: array
Calculation Card Component Attachments
Title:
Calculation Card Component AttachmentsThe CIRComponentAttachmentsVO resource returns attachments associated with a calculation card. -
CIRComponentDateRanges: array
Calculation Card Component Overrides
Title:
Calculation Card Component OverridesThe resource CIRComponentDateRanges returns overrides associated with a calculation card component with different date ranges. -
CIREffectiveDate: string
(date)
Effective start date of the calculation card component.
-
CIRMode: string
Default Value:
LOADERRepresents the current mode of the component. -
ClassificationId: number
Classification ID of the calculation card component.
-
ComponentDiscriminator: string
Maximum Length:
255Value that identifies the specific type of calculation card component. -
ComponentEffectiveEndDate: string
(date)
Effective end date of the calculation card component.
-
ComponentEffectiveStartDate: string
(date)
Effective start date of the calculation card component for component.
-
ComponentSequence: integer
(int64)
Sequence value of the calculation card component.
-
Context1: string
Maximum Length:
150Reference Value 1. -
Context2: string
Maximum Length:
150Reference Value 2. -
Context3: string
Maximum Length:
150Reference Value 3. -
Context4: string
Maximum Length:
150Reference Value 4. -
Context5: string
Maximum Length:
150Reference Value 5. -
Context6: string
Maximum Length:
150Reference Value 6. -
DeductionGroupId: integer
(int64)
Deduction group ID of the calculation card component.
-
DeductionGroupName: string
Maximum Length:
240Deduction group name of the calculation card component. -
DirCardCompDefId: integer
(int64)
Definition ID of the calculation card component.
-
DirCardCompDefName: string
Maximum Length:
80Definition name of the calculation card component. -
DirCardCompId: integer
(int64)
Calculation card component ID.
-
DirCardDefinitionBaseName: string
Maximum Length:
80Definition base name of the calculation card. -
DirCardDefinitionId: integer
(int64)
Definition ID of the calculation card.
-
DirCardDefinitionName: string
Maximum Length:
80Definition name of the calculation card. -
DirCardId: integer
(int64)
Unique identifier for the calculation card.
-
DynamicAttributeNames: string
Attribute names of the calculation card component.
-
DynamicData: string
Attribute used to submit calculation card component data.
-
DynamicDataDetails: string
Read-only representation of the calculation card component metadata and values.
-
EffectiveDatedFlag: boolean
Maximum Length:
255Effective dated indicator. -
EffectiveEndDate: string
(date)
Effective end date of the calculation card component for component.
-
EffectiveStartDate: string
(date)
Effective start date of the card component for component.
-
ElementTypeId: integer
(int64)
Element type ID of the calculation card component.
-
GroupBaseComponentName: string
Maximum Length:
80Group base component name of the calculation card component. -
GroupComponentName: string
Maximum Length:
80Group component name of the calculation card component. -
GroupDirCardCompDefId: integer
Group component definition ID of the calculation card component.
-
GroupIdentifierNames: string
Group identifier names of the calculation card component.
-
GroupName: string
Group name of the calculation card component.
-
GUID: string
GUID details for the component.
-
IgnoreCompsWithoutOvdOrFlexes: string
Default Value:
NIndicates whether calculation card components without overrides or flexfields are ignored. -
IgnoreTUContextComps: string
Default Value:
YIndicates whether calculation card components with tax unit context are ignored. -
LegislativeDataGroupId: integer
(int64)
Legislative data group ID of the employee payroll relationship.
-
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name of the employee payroll relationship. -
LevelCode: string
Maximum Length:
30Level code for the component. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OverrideNames: string
Overrides names of the calculation card component.
-
ParentDirCardCompDefId: integer
Component definition ID of the calculation card components parent component.
-
ParentDirCardCompId: integer
(int64)
Component ID of the calculation card components parent component.
-
PayrollRelationshipId: integer
Payroll relationship ID of the employee.
-
PayrollRelationshipNumber: string
Payroll relationship number of the employee.
-
PayrollStatUnitId: integer
Identifier for the payroll statutory unit.
-
PayrollStatutoryUnitName: string
Name of the payroll statutory unit.
-
RangeEndDate: string
(date)
Range end date for the component.
-
RangeMode: string
RangeMode controls certain date effective operations for the update or delete of calculation card component.
-
RangeStartDate: string
(date)
Range start date for the component.
-
Role: string
Default Value:
MGRRole of user. -
SecBaseClassificationName: string
Maximum Length:
160Secondary base classification name of the calculation card component. -
SecondaryClassificationId: number
Secondary classification ID of the calculation card component.
-
SourceId: integer
(int64)
Payroll relationship ID of the employee for component.
-
SourceSystemId: string
Source system identifier for the component.
-
SourceSystemOwner: string
Details of the source system owner for the component.
-
SourceType: string
Maximum Length:
30Type of source associated with the calculation card component. -
Subpriority: integer
Title:
Subprocessing OrderSubprocessing order of the calculation card component. -
SystemPersonType: string
System person type.
-
TaxReportingUnitName: string
Tax reporting unit name assigned to the calculation card.
Nested Schema : Calculation Card Component Associations
Type:
arrayTitle:
Calculation Card Component AssociationsThe CIRComponentAssociation resource returns list of associations associated with a calculation card.
Show Source
Nested Schema : Calculation Card Component Attachments
Type:
arrayTitle:
Calculation Card Component AttachmentsThe CIRComponentAttachmentsVO resource returns attachments associated with a calculation card.
Show Source
Nested Schema : Calculation Card Component Overrides
Type:
arrayTitle:
Calculation Card Component OverridesThe resource CIRComponentDateRanges returns overrides associated with a calculation card component with different date ranges.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-CIRComponent-CIRComponentAssociation-item-response
Type:
Show Source
object-
AssociableTru: string
Read Only:
trueMaximum Length:30Associated tax reporting units for component association. -
BaseComponentName: string
Read Only:
trueMaximum Length:80Base component name of the calculation card association. -
BaseDisplayName: string
Read Only:
trueMaximum Length:80Base display name of the calculation card association. -
CIRComponentAssociationDetails: array
Calculation Card Component Association Details
Title:
Calculation Card Component Association DetailsThe CIRComponentAssociationDetails resource returns details of the calculation card association. -
ComponentName: string
Read Only:
trueMaximum Length:80Component name of calculation card association. -
CreatedBy: string
Read Only:
trueMaximum Length:64Name of the person who created the calculation card component association. -
CreationDate: string
(date-time)
Read Only:
trueCreation date of the calculation card component association. -
DirCardCompDefId: integer
(int64)
Read Only:
trueDefinition ID of the calculation card component for component association. -
DirCardCompId: integer
(int64)
Title:
Component Base NameUnique identifier for the calculation card component. -
DirCardDefinitionId: integer
(int64)
Read Only:
trueDefinition ID of the calculation card for component association. -
DirCardId: integer
(int64)
Title:
Calculation Card NameUnique identifier for the calculation card for component association. -
DirRepCardId: integer
(int64)
Unique identifier for the reporting card.
-
DisplayName: string
Read Only:
trueMaximum Length:80Display name of the calculation card association. -
EffectiveEndDate: string
(date)
Effective end date of the calculation card association.
-
EffectiveStartDate: string
(date)
Effective start date of the calculation card association.
-
GUID: string
GUID for the component association.
-
LastUpdateDate: string
(date-time)
Read Only:
trueLast updated date of the calculation card component association. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Name of the person who last updated the calculation card component association. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last update login of the calculation card component association. -
LegisCode: string
Legislation code for component association.
-
LegislationDiscriminator: string
Read Only:
trueLegislation discriminator for the component association. -
LegislativeDataGroupId: integer
(int64)
Read Only:
trueLegislation data group ID. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Current object version number for the calculation card component association.
-
PayrollStatUnitId: integer
Payroll statutory unit ID.
-
SourceSystemId: string
Source system identifier for component association.
-
SourceSystemOwner: string
Source system owner for component association.
-
TaxGroupName: string
Maximum Length:
255Tax group name of the calculation card association. -
TaxUnitId: integer
(int64)
Title:
Tax Reporting UnitTax unit ID of the calculation card association. -
TruBatchId: string
Maximum Length:
80Tax reporting unit batch ID.
Nested Schema : Calculation Card Component Association Details
Type:
arrayTitle:
Calculation Card Component Association DetailsThe CIRComponentAssociationDetails resource returns details of the calculation card association.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-CIRComponent-CIRComponentAssociation-CIRComponentAssociationDetails-item-response
Type:
Show Source
object-
AssignmentNumber: string
Maximum Length:
255Assignment number of the calculation card association. -
AssociableTru: string
Read Only:
trueMaximum Length:30Associated tax reporting units for component association details. -
BaseComponentName: string
Read Only:
trueMaximum Length:80Base component name of the calculation card association for component association details. -
BaseDisplayName: string
Read Only:
trueMaximum Length:80Base display name of the calculation card association for component association details. -
ComponentName: string
Read Only:
trueMaximum Length:80Component name of the calculation card association. -
CreatedBy: string
Read Only:
trueMaximum Length:64Name of the person who created the calculation card component association details. -
CreationDate: string
(date-time)
Read Only:
trueCreation date of the calculation card component association details. -
DirCardCompDefId: integer
(int64)
Read Only:
trueDefinition ID of the calculation card component for component association details. -
DirCardCompId: integer
(int64)
Title:
Component Base NameUnique identifier of the calculation card for component association details. -
DirCardDefinitionId: integer
(int64)
Read Only:
trueDefinition ID of the calculation card for component association details. -
DirCardId: integer
(int64)
Read Only:
trueCalculation card identifier. -
DirRepCardId: integer
(int64)
Unique identifier for the reporting card for component association details.
-
DirRepCardUsageId: integer
(int64)
Unique identifier for the reporting card usage.
-
DisplayName: string
Read Only:
trueMaximum Length:80Display name of the calculation card association for component association details. -
EffectiveEndDate: string
(date)
Effective end date of the calculation card association details.
-
EffectiveStartDate: string
(date)
Effective start date of the calculation card association details.
-
GUID: string
GUID for component association details.
-
LastUpdateDate: string
(date-time)
Read Only:
trueLast updated date of the calculation card component association details. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Name of the person who last updated the calculation card component association details. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last update login of the calculation card component association details. -
LegisCode: string
Legislation code for component association details.
-
LegislationDiscriminator: string
Read Only:
trueLegislation discriminator for component association details. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Current object version number for the calculation card component association details.
-
PayrollRelationshipId: integer
(int64)
Read Only:
truePayroll relationship ID of the employee for component association details. -
RelationshipGroupId: integer
(int64)
Title:
Employment Terms NumberRelationship group ID. -
SourceSystemId: string
Source system identifier for component association details.
-
SourceSystemOwner: string
Source system owner for component association details.
-
TierIndicator: string
Maximum Length:
255Tier Indicator for the calculation card association details. -
WorkAtHome: string
Maximum Length:
255Work at home status of the employee assignment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-CIRComponent-CIRComponentAttachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdThe identifier used to track asynchronous background uploads of file contents. This field can only be used when the DatatypeCode="FILE". When queried it will only show when the ErrorCode="Pending" which signifies that a background upload has been registered but not yet completed. The async tracker id can only be set upon creation of an attachment. If the FileContents and tracker id are set then the tracker will be ignored. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document Id -
CategoryName: string
Title:
CategoryMaximum Length:30 - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255 -
CreatedByUserName: string
Title:
Created By User NameRead Only:true -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILE -
Description: string
Title:
DescriptionMaximum Length:255 -
DmDocumentId: string
Maximum Length:
255 -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000 -
DmVersionNumber: string
Maximum Length:
255 -
DownloadInfo: string
Title:
DownloadInfo -
ErrorStatusCode: string
Title:
Error Status Code -
ErrorStatusMessage: string
Title:
Error Status Message -
ExpirationDate: string
(date-time)
Title:
Expiration Date -
FileContents: string
(byte)
Title:
File Contents -
FileName: string
Title:
File NameMaximum Length:2048 -
FileUrl: string
Title:
File Url -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:true -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255 -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:true -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingAction -
Title: string
Title:
Title -
UploadedFileContentType: string
Title:
Uploaded File Content Type -
UploadedFileLength: integer
Title:
File Size -
UploadedFileName: string
Title:
Uploaded File Name -
UploadedText: string
Title:
Uploaded Text -
Uri: string
Title:
UriMaximum Length:4000 -
Url: string
Title:
UrlMaximum Length:4000 -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : calculationEntries-CIRComponent-CIRComponentDateRanges-item-response
Type:
Show Source
object-
AssignmentId: integer
Assignment ID of the employee for component date ranges.
-
AssignmentNumber: string
Assignment number of the employee for component date ranges.
-
AttributeCheckSum: string
Check sum of the attribute.
-
BaseClassificationName: string
Maximum Length:
160Base classification name for component date ranges. -
BaseComponentName: string
Maximum Length:
80Base component name of the calculation card component for component date ranges. -
BaseComponentNameFilter: string
Base component filter.
-
BaseDeductionGroupName: string
Maximum Length:
240Base deduction group name of the calculation card component for component date ranges. -
CardEffectiveEndDate: string
(date)
Effective end date of the calculation card for component date ranges.
-
CardEffectiveStartDate: string
(date)
Effective start date of the calculation card for component date ranges.
-
CardLevel: string
Maximum Length:
30Card level for component date ranges. -
CardSequence: integer
(int64)
Card sequence of the calculation card for component date ranges.
-
CIREffectiveDate: string
(date)
Effective start date of the calculation card component for component date ranges.
-
CIRMode: string
Represents the current mode of the card component.
-
ClassificationId: number
Classification ID of the calculation card component for component date ranges.
-
ComponentDiscriminator: string
Maximum Length:
255Discriminator for the calculation card component. -
ComponentSequence: integer
(int64)
Sequence value of the calculation card component for component date ranges.
-
Context1: string
Maximum Length:
150Reference Value 1 for component date ranges. -
Context2: string
Maximum Length:
150Reference Value 2 for component date ranges. -
Context3: string
Maximum Length:
150Reference Value 3 for component date ranges. -
Context4: string
Maximum Length:
150Reference Value 4 for component date ranges. -
Context5: string
Maximum Length:
150Reference Value 5 for component date ranges. -
Context6: string
Maximum Length:
150Reference Value 6 for component date ranges. -
DeductionGroupId: integer
(int64)
Deduction group ID of the calculation card component for component date ranges.
-
DeductionGroupName: string
Maximum Length:
240Deduction group name of the calculation card component for component date ranges. -
DirCardCompDefId: integer
(int64)
Definition ID of the calculation card component for component date ranges.
-
DirCardCompDefName: string
Maximum Length:
80Definition name of the calculation card component for component date ranges. -
DirCardCompDrId: integer
(int64)
Unique identifier for the calculation card component date range.
-
DirCardCompId: integer
(int64)
ID of the calculation card component.
-
DirCardDefinitionBaseName: string
Maximum Length:
80Definition base name of the calculation card for component date ranges. -
DirCardDefinitionId: integer
(int64)
Definition ID of the calculation card for component date ranges.
-
DirCardDefinitionName: string
Maximum Length:
80Definition name of the calculation card for component date ranges. -
DirCardId: integer
(int64)
Unique identifier of the calculation card for component date ranges.
-
DynamicAttributeNames: string
Attribute names of the calculation card component for component date ranges.
-
DynamicData: string
DynamicData is the write oriented attribute. Consumers pass a JSON string where each key identifies the calculation card components override attribute to create or change the value
-
DynamicDataDetails: string
DynamicDataDetails is the read-oriented metadata or value representation. It tells the consumer which dynamic override attributes are available for the calculation card component
-
EffectiveEndDate: string
(date)
Effective end date of calculation card component override.
-
EffectiveStartDate: string
(date)
Effective start date of the calculation card component override.
-
ElementTypeId: integer
(int64)
Element type ID of the calculation card component for component date ranges.
-
GroupBaseComponentName: string
Maximum Length:
80Group base component name of the calculation card component for component date ranges. -
GroupComponentName: string
Maximum Length:
80Group component name of the calculation card component for component date ranges. -
GroupDirCardCompDefId: integer
Group component definition ID of the calculation card component for component date ranges.
-
GUID: string
GUID for component date ranges.
-
IgnoreCompsWithoutOvdOrFlexes: string
Default Value:
NIgnore calculation card components without overrides. -
IgnoreTUContextComps: string
Indicates whether calculation card components with tax unit context are ignored for component date ranges.
-
LegislativeDataGroupId: integer
(int64)
Legislative data group ID of the employee payroll relationship for component date ranges.
-
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name of the employee payroll relationship for component date ranges. -
LevelCode: string
Maximum Length:
30Level code for component date ranges. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OverrideFlexAttributeDetails: string
Overrides attribute details of the calculation card component.
-
ParentDirCardCompDefId: integer
Component definition ID of the calculation card components parent component for component date ranges.
-
ParentDirCardCompId: integer
(int64)
Component ID of calculation card components parent component.
-
PayrollRelationshipId: integer
Payroll Relationship ID of the employee.
-
PayrollRelationshipNumber: string
Payroll relationship number of the employee for component date ranges.
-
PayrollStatUnitId: integer
Payroll statutory unit ID for component date ranges.
-
PayrollStatutoryUnitName: string
Name of the payroll statutory unit for component date ranges.
-
RangeEndDate: string
(date)
Range end date for component date ranges.
-
RangeMode: string
RangeMode controls certain date effective behavior for the update or delete of component date ranges.
-
RangeStartDate: string
(date)
Range start date for component date ranges.
-
Role: string
Role of the user.
-
SecBaseClassificationName: string
Maximum Length:
160Secondary base classification name of the calculation card component for component date ranges. -
SecondaryClassificationId: number
Secondary classification ID of the calculation card component for component date ranges.
-
SourceId: integer
(int64)
Payroll relationship ID of the employee for component date ranges.
-
SourceSystemId: string
Source system identifier for component date ranges.
-
SourceSystemOwner: string
Source system owner for component date ranges.
-
SourceType: string
Maximum Length:
30Type of source associated with the calculation card component date range. -
Subpriority: integer
Subpriority of the calculation card component date range.
-
SystemPersonType: string
System person type for component date ranges.
-
TaxReportingUnitName: string
Tax reporting unit name assigned to the calculation card for component date ranges.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source